# npm-update-package-version

[![npm version](https://badge.fury.io/js/npm-update-package-version.svg)](https://badge.fury.io/js/npm-update-package-version)
[![GitHub issues](https://img.shields.io/github/issues/jaisayush/npm-update-package-version)](https://github.com/jaisayush/npm-update-package-version/issues)
[![GitHub license](https://img.shields.io/github/license/jaisayush/npm-update-package-version)](https://github.com/jaisayush/npm-update-package-version/blob/main/LICENSE)

🔎📦 npm-update-package-version is a command-line tool that checks for available updates of your project's dependencies. It lists the package name and the latest version available in a table format.

## 📥 Installation

Install the package globally using npm:

```
npm install -g npm-update-package-version
```

## 🚀 Usage

Run the following command in your project directory:

```
npm-update-package-version
```

## 🌟 Example Output

| Package Name | Current Version | Latest Version | Update Available |
| ------------ | --------------- | -------------- | ---------------- |
| axios        | 0.23.0          | 1.4.0          | ✔                |
| cli-table3   | 0.6.3           | 0.6.3          | ✘                |
| chalk        | 4.1.2           | 5.2.0          | ✔                |
| ini          | 2.0.0           | 4.1.0          | ✔                |
| jest         | 29.5.0          | 29.5.0         | ✘                |

In this example, the tool checks for available updates of the dependencies used in the project and displays the results in a formatted table.

## 🤝 Contributing

Contributions are welcome! Please refer to the [contribution guidelines](CONTRIBUTING.md) for more details.

## 🐛 Issues

Please report any issues or bugs on the [issues page](https://github.com/jaisayush/npm-update-package-version/issues).

## 📝 License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## 👨‍💻 Author

Ayush Jaiswal

- Email: ayush.jaiswal47.aj@gmail.com
- LinkedIn: https://www.linkedin.com/in/jaisayush/
